{% extends "wiki.html" %}
{% load i18n widget_tweaks static %}

{% block footer_javascript %}
    <script src="https://cdn.jsdelivr.net/simplemde/latest/simplemde.min.js"></script>
    <script>let url_chargement_image = '{% url 'chargement_image' %}';</script>
    <script type="text/javascript" src="{% static 'documentation/js/editor.js' %}"></script>
{% endblock footer_javascript %}

{% block head_css %}
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/simplemde/latest/simplemde.min.css">
{% endblock head_css %}

{% block content %}
    <!-- Modal -->
    <div class="modal fade" id="modal" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <p>
                    Chargement ...
                </p>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="main">
            <form method="POST" id="form-editor" name="editor" action="{% block submit_form %}{% endblock %}">
                {% csrf_token %}

                {% for field in form.visible_fields %}
                    <div class="form-group">
                        <label for="{{ field.id_for_label }}">{{ field.label }}</label>
                        {{ field|add_class:'form-control' }}
                        {% for error in field.errors %}
                            <span class="help-block">{{ error }}</span>
                        {% endfor %}
                    </div>
                {% endfor %}
                <div class="row">
                    <div class="col-md-6">
                        <button type="button" class="btn btn-outline-dark btn-block" data-toggle="modal"
                                data-target="#modal"
                                id="upload">
                            Charger une image
                        </button>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <input type="submit" value="Sauvegarder"
                                   class="btn btn-primary btn-block"/>
                            <input type="hidden" name="next" value="{{ next }}"/>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
{% endblock %}